Subject: Re: cygwin gcc 3.4 and cygwin
From: Tim Prince <[email-masked]>
To: Ronald Landheer-Cieslak <[email-masked]>, Eugene Rosenzweig <[email-masked]>
Cc: [email-masked]
Date: Wed, 12 Mar 2003 06:39:28 -0800

On Wednesday 12 March 2003 03:20, Ronald Landheer-Cieslak wrote:
> The cygwin target is i686-pc-cygwin
>
> That, and Cygwin without gcc would be pretty useless, so I don't worry too
> much :)
>
> rlc
>
> BTW: the FSF-provided gcc doesn't work OOTB on Cygwin, IIRC: there are a
> couple of patches to apply and a bit of development to be done each time.
It works fine OOTB, but it doesn't support the additional cygwin facilities.  
I don't suppose any of us who report on gcc-testsuite are applying the 
additional cygwin patches.  I hope that gcc-testsuite entries, and occasional 
acceptance of cygwin-specific patches to the "official" gcc, provide 
sufficient evidence that i686-pc-cygwin is being maintained actively.
> You might say that there is no "official" gcc on Cygwin as is :)
>
> On Wed, 12 Mar 2003, Eugene Rosenzweig wrote:
> > The latest message in gcc-announce
> > http://gcc.gnu.org/ml/gcc-announce/2003/msg00001.html says that
> > i?86-*-win32 target will be deprecated as from gcc 3.4 (no date set). The
> > only win32 target on the list of supported platforms
> > http://gcc.gnu.org/install/specific.html is the cygwin one. Will there be
> > no more official cygwin gcc port as of 3.4?

-- 
Tim Prince

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/